- name : basic_for_continue
  stdin: for i in 1 2 3 ; do continue; echo momo; done

- name: double_for_continue
  stdin: for var in 1 2 3 4 5; do for var2 in 6 7 8 9; do continue; echo momo; done;  echo soso; done

- name: basic_while_break_continue
  stdin: "while true; do break; continue; echo soso; done"

- name: multiple_for_continue
  stdin: "for i in momo; do for j in soso; do for k in robo; do continue 2; echo robo; done; echo soso; done; echo momo; done"

- name: multiple_for_continue_2
  stdin: "for i in momo; do for j in soso; do for k in robo; do continue 1; echo robo; done; echo soso; done; echo momo; done"

- name: continue_no_loop
  stdin: continue

- name: continue_error
  stdin: "while true; do echo momo; continue -3; done"
  checks:
    - has_stderr
    - returncode
    - stdout
